Attribute VB_Name = "AGPIB"
'' ----------------------------------------------------------------------------
''      GPIB COMMON
''      file : AGPIB.BAS
''
''      Ver1.00
''
''      [DESCRIPTION]
''      VisualBaseic wb_[t@C
''
''      Copyright (C) 1998 ADTEK SYSTEM SCIENCE Co.,Ltd.
'' ----------------------------------------------------------------------------

' -----------------------------------------------------------------------------
'   GPIB COMMANDS
' -----------------------------------------------------------------------------
Global Const GPIBUNL = &H3F                     ' UNListen
Global Const GPIBUNT = &H5F                     ' UNTalk
Global Const GPIBLA0 = &H20                     ' Listener Addr
Global Const GPIBTA0 = &H40                     ' Talker Addr
Global Const GPIBGTL = &H1                      ' Go To Local
Global Const GPIBSDC = &H4                      ' Select Device Clear
Global Const GPIBGET = &H8                      ' Group Execute Trigger
Global Const GPIBLLO = &H11                     ' Local Lock Out
Global Const GPIBDCL = &H14                     ' Device Clear
Global Const GPIBSPE = &H18                     ' Serial Poll Enable
Global Const GPIBSPD = &H19                     ' Serial Poll Disable
Global Const GPIBPPC = &H5                      ' Parallel Poll Config
Global Const GPIBPPE = &H60                     ' Parallel Poll Enable
Global Const GPIBPPD = &H70                     ' Parallel Poll Disable
Global Const GPIBPPU = &H15                     ' Parallel Poll Unconfig
Global Const GPIBTCT = &H9                      ' Take Control


' -----------------------------------------------------------------------------
'   GPIB STATUS
' -----------------------------------------------------------------------------
Global Const STS_IFC = &H1                      ' IFC
Global Const STS_DCAS = &H2                     ' DCL,SDC
Global Const STS_UNC = &H4                      ' UNC / TCT etc
Global Const STS_ERR = &H8                      ' ERR
Global Const STS_GET = &H10                     ' GET
Global Const STS_SPAS = &H20                    ' SPAS
Global Const STS_REM = &H100                    ' REM
Global Const STS_LLO = &H200                    ' LLO
Global Const STS_TLK = &H400                    ' TLK
Global Const STS_LSN = &H800                    ' LSN
Global Const STS_ATN = &H1000                   ' ATN
Global Const STS_SRQ = &H2000                   ' SRQ
Global Const STS_REN = &H4000                   ' REN

' -----------------------------------------------------------------------------
'   GPIB ADDRESS
' -----------------------------------------------------------------------------
Global Const ADDR_MIN = 0
Global Const ADDR_MAX = 30
Global Const ADDR_NULL = -1

Global Const TIMEOUT_DEFAULT = 2000              ' ѱ̫
Global Const TIMEOUT_MAX = 60000                 ' ѱčől

' -----------------------------------------------------------------------------
'   GPIB MODE
' -----------------------------------------------------------------------------
Global Const MODE_SYSCON = 1                     ' Ѻ۰ Ӱ
Global Const MODE_CON = 2                        ' ۰ Ӱ(gp)
Global Const MODE_TLKLSN = 0                     ' İ/ؽ Ӱ

' -----------------------------------------------------------------------------
'   DELIMITER
' -----------------------------------------------------------------------------
Global Const DELIM_CRLF = 0                      ' CR + LF
Global Const DELIM_CR = 1                        ' CR
Global Const DELIM_LF = 2                        ' LF
Global Const DELIM_EOI = 3                       ' EOI
Global Const DELIM_NO = 4                        ' nothing


' -----------------------------------------------------------------------------
'   ERROR CODES
' -----------------------------------------------------------------------------
Global Const GPERR_INIT = -1                     ' ܂͎s
Global Const GPERR_DEV = -2                      ' ޲-
Global Const GPERR_DRV_VER = -3                  ' ײ-ޮݕs
Global Const GPERR_MODE = -10                    ' Ӱ޴װ
Global Const GPERR_PARAMETER = -11               ' Ұs
Global Const GPERR_TIMEOUT = -12                 ' ѱ
Global Const GPERR_NOLISTENER = -13              ' ؽłȂ
Global Const GPERR_CMD = -20                     ' ΉގM
Global Const GPERR_ADSTS = -21                   ' ڽĂȂ
